MIX_AudioDecoder(3type)

NAME
MIX_AudioDecoder - An opaque object that represents an audio decoder.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

typedef struct MIX_AudioDecoder MIX_AudioDecoder;

DESCRIPTION
Most apps won't need this, as SDL_mixer's usual interfaces will decode audio as needed. However, if one wants to decode an audio file into a memory buffer without playing it, this interface offers that.

These objects are created with MIX_CreateAudioDecoder() or MIX_CreateAudioDecoder_IO(), and then can use MIX_DecodeAudio() to retrieve the raw PCM data.

AVAILABILITY
This struct is available since SDL_mixer 3.0.0.